Subject: bug#39575: guix time-machine fails when a tarball was modified in-place

From: zimoun <[email-masked]>
Date: Fri, 14 Feb 2020 02:05:15 +0100

Hi Ludo,

On Thu, 13 Feb 2020 at 22:34, Ludovic Courtès <[email-masked]> wrote:

> The problem here is really that we fall back to content-addressed
> mirrors instead of using them directly:
>
>   https://issues.guix.gnu.org/issue/28659

Thank you for the pointer. Good to see that the problem is almost addressed.
I will try to understand the discussion and see what is the status of
the proposed patch.

> The file itself is still available on our machines though, and you can
> get it with:

It is an half cooked solution because the Guix project cannot archive
all; for example in term of store resources.

The content-addressed mirror should be SWH, IMHO.

Well, once sources.json will be up, it should be almost done for the future.
But we still need to push all the correct sources that are on
ci.guix.gnu.org; at least all the url based source of package.

Do you have suggestion for a plan?

>   guix download -o harfbuzz-2.4.0.tar.bz2 \
>   https://ci.guix.gnu.org/file/harfbuzz-2.4.0.tar.bz2/sha256/0vrkvdlmihdg62a4c6h5kx27khc33xmb95l50zgnwnavvpwyyw5l
>
>   guix download file://$PWD/harfbuzz-2.4.0.tar.bz2
>
> After that, re-running ‘guix time-machine’ should work.

Thank you. This should fix the harfbuzz mismatch issue. Cool! :-)

> Using ci.guix.gnu.org for substitutes should have the same effect.

Hum? I thought that I used ci.guix.gnu.org as substitutes... soI need to check.

Cheers,
simon